## com.sun.org.apache.commons.logging
Class LogFactory

    java.lang.Object
      com.sun.org.apache.commons.logging.LogFactory

    public class LogFactory

extends Object

LogFactory Bridges com.sun.org.apache.commons.logging.LogFactory to Jetty's log.

Constructor Summary
`LogFactory()`

Method Summary
`static Log` `getLog(Class c)`
`static Log` `getLog(String str)`
`static void` `release(URLClassLoader cl)`
`static void` `releaseAll()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogFactory

    public LogFactory()

Method Detail

### getLog

    public static Log getLog(Class c)

### getLog

    public static Log getLog(String str)

### release

    public static void release(URLClassLoader cl)

### releaseAll

    public static void releaseAll()

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.